#pragma once

#include <yandex/maps/wiki/social/profile.h>

#include <unordered_map>
#include <optional>

namespace maps::wiki::stat_users_dump_worker {

class Profiles
{
public:
    explicit Profiles(const social::Profiles& socialProfiles);

    std::optional<social::Profile> getByUid(social::TId uid) const;

private:
    std::unordered_map<social::TId, social::Profile> uidToProfile_;
};

}

